%define anolis_release 2
%define glib2_version 2.54.0

Name:		json-glib
Version:	1.6.6
Release:	%{anolis_release}%{?dist}
Summary:	Library for JavaScript Object Notation format

License:	LGPLv2+
URL:		https://wiki.gnome.org/Projects/JsonGlib
Source0:	https://download.gnome.org/sources/%{name}/1.6/%{name}-%{version}.tar.xz

BuildRequires:	docbook-style-xsl
BuildRequires:	gettext
BuildRequires:	gi-docgen
BuildRequires:	glib2-devel >= %{glib2_version}
BuildRequires:	gobject-introspection-devel
BuildRequires:	meson
BuildRequires:	/usr/bin/xsltproc

Requires:	glib2%{?_isa} >= %{glib2_version}

%description
%{name} is a library providing serialization and deserialization support
for the JavaScript Object Notation (JSON) format.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package tests
Summary: Tests for the json-glib package
Requires: %{name} = %{version}-%{release}

%description tests
The json-glib-tests package contains tests that can be used to verify
the functionality of the installed json-glib package.


%prep
%setup -q -n %{name}-%{version}


%build
%meson -Dgtk_doc=enabled -Dman=true
%meson_build


%install
%meson_install

%find_lang json-glib-1.0


%files -f json-glib-1.0.lang
%license COPYING
%{_libdir}/libjson-glib-1.0.so.0*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Json-1.0.typelib

%files doc
%doc NEWS

%files devel
%{_includedir}/json-glib-1.0/
%{_libdir}/libjson-glib-1.0.so
%{_libdir}/pkgconfig/json-glib-1.0.pc
%{_datadir}/doc/json-glib-1.0/
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Json-1.0.gir
%{_bindir}/json-glib-format
%{_bindir}/json-glib-validate
%{_mandir}/man1/json-glib-format.1*
%{_mandir}/man1/json-glib-validate.1*

%files tests
%{_libexecdir}/installed-tests/
%{_datadir}/installed-tests/


%changelog
* Thu Sep 29 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.6.6-2
- add doc package

* Tue Mar  8 2022 Liwei Ge <liwei.glw@linux.alibaba.com> - 1.6.6-1
- Init version from upstream v1.6.6
